import jwtDecode from "jwt-decode";


//let inMemoryJWT : string|null = null;

export function retrieveJWT(): string | null {
  //return inMemoryJWT;
  return localStorage.getItem("jwt");
}

export function storeJWT(jwt: string) {
  //inMemoryJWT = jwt;
  localStorage.setItem("jwt", jwt);
}

export function removeJWT() {
  //inMemoryJWT = null;
  localStorage.removeItem("jwt");
}

export function getLoginInfoFromJWT(jwt: string | null): { userId: string; roles: "a"|"u"} | null {
  if (!jwt) {
    return null;
  }
  const payload: any = jwtDecode(jwt);
  const userId = payload.sub;
  const roles = payload.roles;
  if (!userId || !roles) {
    return null;
  }
  return { userId, roles };
}
